Debian Bug report logs - #655230
RFP: pushkey -- pushes ssh keys to remote locations

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Al Biheiri <abiheiri@gmail.com>

Date: Mon, 9 Jan 2012 15:03:02 UTC

Severity: wishlist

Merged with 655232, 655233

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#655230; Package wnpp. (Mon, 09 Jan 2012 15:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Al Biheiri <abiheiri@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 09 Jan 2012 15:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Al Biheiri <abiheiri@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Mon, 09 Jan 2012 09:43:28 -0500
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist
Owner: Al Biheiri <abiheiri@gmail.com>


* Package name    : pushkey
  Version         : 1.0
  Upstream Author : Al Biheiri <abiheiri@gmail.com>
* URL             : http://dl.dropbox.com/u/77428/website-dev/index.htm
* License         : (GPL v3)
  Programming Lang: (Bash)
  Description     : Pushes your ssh key to a remote location. It tries to
create a .ssh folder remotley then it adds your ssh key to authorized_keys.
[pushkey_1.0-1-all.deb (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Mon, 09 Jan 2012 15:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Reichle-Schmehl <tolimar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Mon, 09 Jan 2012 15:12:06 GMT) Full text and rfc822 format available.

Message #10 received at 655230@bugs.debian.org (full text, mbox):

From: Alexander Reichle-Schmehl <tolimar@debian.org>
To: Al Biheiri <abiheiri@gmail.com>, 655230@bugs.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Mon, 09 Jan 2012 16:10:01 +0100
merge 655230 655232
thanks

[ merging the bugs, as the ITP was sent twice ]

Hi!


Am 09.01.2012 15:43, schrieb Al Biheiri:
> Package: wnpp
> Severity: wishlist
> Owner: Al Biheiri <abiheiri@gmail.com>
> 
> 
> * Package name    : pushkey
>   Version         : 1.0
>   Upstream Author : Al Biheiri <abiheiri@gmail.com>
> * URL             : http://dl.dropbox.com/u/77428/website-dev/index.htm
> * License         : (GPL v3)
>   Programming Lang: (Bash)
>   Description     : Pushes your ssh key to a remote location. It tries to
> create a .ssh folder remotley then it adds your ssh key to authorized_keys.

What's the difference to ssh-copy-id, which is already part of the
open-ssh-client package?


Best regards,
  Alexander




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Mon, 09 Jan 2012 15:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arno Töll <debian@toell.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Mon, 09 Jan 2012 15:12:08 GMT) Full text and rfc822 format available.

Message #15 received at 655230@bugs.debian.org (full text, mbox):

From: Arno Töll <debian@toell.net>
To: debian-devel@lists.debian.org, 655230@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Mon, 09 Jan 2012 16:10:04 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

forcemerge 655230 655232 655233
thanks

Hi,

On 09.01.2012 15:43, Al Biheiri wrote:
>   Description     : Pushes your ssh key to a remote location. It tries to
> create a .ssh folder remotley then it adds your ssh key to authorized_keys.

What makes your program better or different to ssh-copy-id which is
bundled to the OpenSSH client package? In fact, a function like

ssh $REM_HOST "mkdir ~/.ssh ; chmod 700 ~/.ssh"
cat $DIR/$KEYTYPE | ssh $REM_HOST "cat >> ~/.ssh/authorized_keys &&
chmod 600 ~/.ssh/*"

prompts you for a password two times unless you use a ssh agent.

Moreover, you should provide a source package for review and inclusion.
Not a binary package to the debian-mentors mailing list.


- -- 
with kind regards,
Arno Töll
IRC: daemonkeeper on Freenode/OFTC
GnuPG Key-ID: 0x9D80F36D
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJPCwNMAAoJEMcrUe6dgPNtgK4P/15P4oET7rcGb49uOYoVLHOx
jumnMgbk75Dn65z+Rj93H3LvFgMXW+CoB3WvfQMCsEGHhwsrMBEa5KqGzNiT6m5a
K3a0Nt1PTScUXb4BRL9VHXv+IyT9GT5POTi210OOIwIpoNNK5Tzt028Gtsmm6qj2
peoo+/prQ24RruNWo7YkceXhYjYNbmngQoyMNbV3LNImnf0Dh5CJfeyzEIDrlJ81
dHhtGEsrNwVvOMO8rVtstWJuPtLb3sxDsvNV3hCS4BGnfATOCop1RAGQ3H1fG5iy
U8+hMhO5Tst7xskb/UHwTxsB3yNVm6Zh5cSgy+KXUhZSaaaaAIYiU0kHpGXQYX1w
vPPjwLDT8gmIcRds7aymwHPkYeBEwUCCk/hADg8QSLrV7LAHpOATfxFJd6DmKVk2
YzkVporv8KdwJe+n8G8F25saj5fSOuluU4JO2JMGTptmmjDFhprVq+2IWtZwe635
zpib/dijzILj8+T+nkM2XRjPWolCMdQpa9/tqY7lDwCpVlSWbO97epM4TO9HWPdb
TFCKWEalbOdhVqzTeGMJsLtnbpeE1yGFNFqp1SVNtuuQMA5ntQfOgF8evnP6Q6pj
YTZNzAQmjJ4raQYAzk9k3+98qa68N07GlnxudaKF5na2BAj9aTVNgg9HNCVeUQZf
uNlPKbD2THGdbYj6/y69
=uJsT
-----END PGP SIGNATURE-----




Merged 655230 655232. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 15:12:09 GMT) Full text and rfc822 format available.

Forcibly Merged 655230 655232 655233. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Mon, 09 Jan 2012 15:12:15 GMT) Full text and rfc822 format available.

Merged 655230 655232 655233. Request was from aburchar <ansgar@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 15:12:19 GMT) Full text and rfc822 format available.

Merged 655230 655232 655233. Request was from Alexander Reichle-Schmehl <tolimar@debian.org> to control@bugs.debian.org. (Mon, 09 Jan 2012 15:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Mon, 09 Jan 2012 15:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Mon, 09 Jan 2012 15:18:13 GMT) Full text and rfc822 format available.

Message #28 received at 655230@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Al Biheiri <abiheiri@gmail.com>, 655230@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Mon, 09 Jan 2012 16:15:27 +0100
Hi,

On 01/09/2012 03:43 PM, Al Biheiri wrote:
> * Package name    : pushkey
>    Version         : 1.0
>    Upstream Author : Al Biheiri<abiheiri@gmail.com>
> * URL             : http://dl.dropbox.com/u/77428/website-dev/index.htm
> * License         : (GPL v3)
>    Programming Lang: (Bash)
>    Description     : Pushes your ssh key to a remote location. It tries to
> create a .ssh folder remotley then it adds your ssh key to authorized_keys.

What does pushkey do that ssh-copy-id cannot?

I also don't think we need yet another package for a tiny script that 
(in short) only does

  ssh $REM_HOST "umask 077; test -d .ssh || mkdir .ssh; chmod 700 .ssh 
; echo $VAL >> .ssh/authorized_keys; chmod 600 .ssh/*" || exit 1

Regards,
Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Mon, 09 Jan 2012 16:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Al <abiheiri@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Mon, 09 Jan 2012 16:12:06 GMT) Full text and rfc822 format available.

Message #33 received at 655230@bugs.debian.org (full text, mbox):

From: Al <abiheiri@gmail.com>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 655230@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Mon, 9 Jan 2012 11:08:41 -0500
[Message part 1 (text/plain, inline)]
I'm sorry you guys feel like I am wasting your time as I had no intention
of doing that. As your probably aware this is my first time I am submitting
an ITP so I am new to the whole process.

I did not know I submitted the ITP twice. The reportbug application crashed
with a segfault warning so I assumed it did not go through. To make things
worse I noticed I have uploaded the wrong deb package as this is an old one
(sigh). I realize that there is ssh-copy-id but I thought to include my
package b/c it had extra abilities to create keys and also fix permissions
on folder and files. I hope you all will allow me the opportunity to submit
the correct deb package (including the source). I would like to know where
I can submit it as I am assuming not on this email thread.

Thank You


On Mon, Jan 9, 2012 at 10:15 AM, Ansgar Burchardt <ansgar@debian.org> wrote:

> Hi,
>
>
> On 01/09/2012 03:43 PM, Al Biheiri wrote:
>
>> * Package name    : pushkey
>>   Version         : 1.0
>>   Upstream Author : Al Biheiri<abiheiri@gmail.com>
>> * URL             : http://dl.dropbox.com/u/77428/**website-dev/index.htm<http://dl.dropbox.com/u/77428/website-dev/index.htm>
>> * License         : (GPL v3)
>>   Programming Lang: (Bash)
>>   Description     : Pushes your ssh key to a remote location. It tries to
>> create a .ssh folder remotley then it adds your ssh key to
>> authorized_keys.
>>
>
> What does pushkey do that ssh-copy-id cannot?
>
> I also don't think we need yet another package for a tiny script that (in
> short) only does
>
>  ssh $REM_HOST "umask 077; test -d .ssh || mkdir .ssh; chmod 700 .ssh ;
> echo $VAL >> .ssh/authorized_keys; chmod 600 .ssh/*" || exit 1
>
> Regards,
> Ansgar
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Tue, 10 Jan 2012 00:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Al <abiheiri@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Tue, 10 Jan 2012 00:45:07 GMT) Full text and rfc822 format available.

Message #38 received at 655230@bugs.debian.org (full text, mbox):

From: Al <abiheiri@gmail.com>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 655230@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Mon, 9 Jan 2012 19:43:27 -0500
[Message part 1 (text/plain, inline)]
jI have uploaded the correct package now including the debian source. They
are located here:
http://dl.dropbox.com/u/77428/website-dev/index.htm

This might seem trivial but it helped enough people I work with that I
thought I should contribute the code. Instead of running "ssh-copy-id -i
identityName IPADDR" , all you had to do was "pushkey IPADDR". The
difference between my package and ssh-copy-id is that my package sets the
permission on the folder and file and it also gives you the option to
create new ssh key keys if it doesn't find it. ssh-copy-id does not have
the ability to create the .ssh folder remotely nor does it change the
permissions. And you had to explicitly specify which key to use in
ssh-copy-id. I use pushkey on many other distro's too so I thought it might
be something beneficial that can be ported over easily.

As for the gentlemen in the previous email 'Arno Töll' the packaged you
looked at was the old one I accidentally added wrong one. The new one does
not prompt for password twice

Again sorry guys for dropping the ball on this one. It is my first attempt
and I screwed that up..




On Mon, Jan 9, 2012 at 11:08 AM, Al <abiheiri@gmail.com> wrote:

> I'm sorry you guys feel like I am wasting your time as I had no intention
> of doing that. As your probably aware this is my first time I am submitting
> an ITP so I am new to the whole process.
>
> I did not know I submitted the ITP twice. The reportbug application
> crashed with a segfault warning so I assumed it did not go through. To make
> things worse I noticed I have uploaded the wrong deb package as this is an
> old one (sigh). I realize that there is ssh-copy-id but I thought to
> include my package b/c it had extra abilities to create keys and also fix
> permissions on folder and files. I hope you all will allow me
> the opportunity to submit the correct deb package (including the source). I
> would like to know where I can submit it as I am assuming not on this email
> thread.
>
> Thank You
>
>
> On Mon, Jan 9, 2012 at 10:15 AM, Ansgar Burchardt <ansgar@debian.org>wrote:
>
>> Hi,
>>
>>
>> On 01/09/2012 03:43 PM, Al Biheiri wrote:
>>
>>> * Package name    : pushkey
>>>   Version         : 1.0
>>>   Upstream Author : Al Biheiri<abiheiri@gmail.com>
>>> * URL             : http://dl.dropbox.com/u/77428/**
>>> website-dev/index.htm<http://dl.dropbox.com/u/77428/website-dev/index.htm>
>>> * License         : (GPL v3)
>>>   Programming Lang: (Bash)
>>>   Description     : Pushes your ssh key to a remote location. It tries to
>>> create a .ssh folder remotley then it adds your ssh key to
>>> authorized_keys.
>>>
>>
>> What does pushkey do that ssh-copy-id cannot?
>>
>> I also don't think we need yet another package for a tiny script that (in
>> short) only does
>>
>>  ssh $REM_HOST "umask 077; test -d .ssh || mkdir .ssh; chmod 700 .ssh ;
>> echo $VAL >> .ssh/authorized_keys; chmod 600 .ssh/*" || exit 1
>>
>> Regards,
>> Ansgar
>>
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Tue, 10 Jan 2012 01:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Al <abiheiri@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Tue, 10 Jan 2012 01:15:03 GMT) Full text and rfc822 format available.

Message #43 received at 655230@bugs.debian.org (full text, mbox):

From: Al <abiheiri@gmail.com>
To: Lars Wirzenius <liw@liw.fi>
Cc: 655230@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Mon, 9 Jan 2012 20:12:46 -0500
[Message part 1 (text/plain, inline)]
OK I guess I am partially incorrect, however if .ssh or authorized_keys is
wrong permission, ssh-copy-id doesn't fix it..
I set .ssh folder to 777 and ssh-copy-id did not change it.


On Mon, Jan 9, 2012 at 8:05 PM, Lars Wirzenius <liw@liw.fi> wrote:

> On Mon, Jan 09, 2012 at 07:43:27PM -0500, Al wrote:
> > This might seem trivial but it helped enough people I work with that I
> thought
> > I should contribute the code. Instead of running "ssh-copy-id -i
> identityName
> > IPADDR" , all you had to do was "pushkey IPADDR". The difference between
> my
> > package and ssh-copy-id is that my package sets the permission on the
> folder
> > and file and it also gives you the option to create new ssh key keys if
> it
> > doesn't find it. ssh-copy-id does not have the ability to create the .ssh
> > folder remotely nor does it change the permissions. And you had to
> explicitly
> > specify which key to use in ssh-copy-id. I use pushkey on many other
> distro's
> > too so I thought it might be something beneficial that can be ported over
> > easily.
>
> Actually, ssh-copy-id does create the .ssh directory on the other end,
> and sets its permission and the permission of the authorized_keys file
> it creates. See this session:
>
>    liw@havelock$ ssh -l tomjon localhost
>    tomjon@localhost's password:
>    Linux havelock 3.1.0-1-amd64 #1 SMP Sun Dec 11 20:36:41 UTC 2011 x86_64
>    tomjon@havelock:~$ ls -ld .ssh
>    ls: cannot access .ssh: No such file or directory
>    tomjon@havelock:~$ logout
>    Connection to localhost closed.
>    [status 2]
>    liw@havelock$ ssh-copy-id tomjon@localhost
>    tomjon@localhost's password:
>    Now try logging into the machine, with "ssh 'tomjon@localhost'", and
> check in:
>
>      ~/.ssh/authorized_keys
>
>    to make sure we haven't added extra keys that you weren't expecting.
>
>    liw@havelock$ ssh -l tomjon localhost
>    Linux havelock 3.1.0-1-amd64 #1 SMP Sun Dec 11 20:36:41 UTC 2011 x86_64
>    Last login: Tue Jan 10 01:01:32 2012 from localhost
>    tomjon@havelock:~$ ls -la .ssh
>    total 12
>    drwx------ 2 tomjon tomjon 4096 tammi 10 01:01 .
>    drwxr-xr-x 3 tomjon tomjon 4096 tammi 10 01:01 ..
>    -rw------- 1 tomjon tomjon  385 tammi 10 01:01 authorized_keys
>    tomjon@havelock:~$
>
> ssh-copy-id does not create keys, it is true.
>
> --
> Freedom-based blog/wiki/web hosting: http://www.branchable.com/
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Tue, 10 Jan 2012 01:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Tue, 10 Jan 2012 01:21:03 GMT) Full text and rfc822 format available.

Message #48 received at 655230@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Al <abiheiri@gmail.com>
Cc: 655230@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Tue, 10 Jan 2012 01:05:56 +0000
[Message part 1 (text/plain, inline)]
On Mon, Jan 09, 2012 at 07:43:27PM -0500, Al wrote:
> This might seem trivial but it helped enough people I work with that I thought
> I should contribute the code. Instead of running "ssh-copy-id -i identityName
> IPADDR" , all you had to do was "pushkey IPADDR". The difference between my
> package and ssh-copy-id is that my package sets the permission on the folder
> and file and it also gives you the option to create new ssh key keys if it
> doesn't find it. ssh-copy-id does not have the ability to create the .ssh
> folder remotely nor does it change the permissions. And you had to explicitly
> specify which key to use in ssh-copy-id. I use pushkey on many other distro's
> too so I thought it might be something beneficial that can be ported over
> easily. 

Actually, ssh-copy-id does create the .ssh directory on the other end,
and sets its permission and the permission of the authorized_keys file
it creates. See this session:

    liw@havelock$ ssh -l tomjon localhost
    tomjon@localhost's password: 
    Linux havelock 3.1.0-1-amd64 #1 SMP Sun Dec 11 20:36:41 UTC 2011 x86_64
    tomjon@havelock:~$ ls -ld .ssh
    ls: cannot access .ssh: No such file or directory
    tomjon@havelock:~$ logout
    Connection to localhost closed.
    [status 2]
    liw@havelock$ ssh-copy-id tomjon@localhost
    tomjon@localhost's password: 
    Now try logging into the machine, with "ssh 'tomjon@localhost'", and check in:

      ~/.ssh/authorized_keys

    to make sure we haven't added extra keys that you weren't expecting.

    liw@havelock$ ssh -l tomjon localhost
    Linux havelock 3.1.0-1-amd64 #1 SMP Sun Dec 11 20:36:41 UTC 2011 x86_64
    Last login: Tue Jan 10 01:01:32 2012 from localhost
    tomjon@havelock:~$ ls -la .ssh
    total 12
    drwx------ 2 tomjon tomjon 4096 tammi 10 01:01 .
    drwxr-xr-x 3 tomjon tomjon 4096 tammi 10 01:01 ..
    -rw------- 1 tomjon tomjon  385 tammi 10 01:01 authorized_keys
    tomjon@havelock:~$ 

ssh-copy-id does not create keys, it is true.

-- 
Freedom-based blog/wiki/web hosting: http://www.branchable.com/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Tue, 10 Jan 2012 04:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Zagrabelny <mzagrabe@d.umn.edu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Tue, 10 Jan 2012 04:54:03 GMT) Full text and rfc822 format available.

Message #53 received at 655230@bugs.debian.org (full text, mbox):

From: Matt Zagrabelny <mzagrabe@d.umn.edu>
To: Al <abiheiri@gmail.com>
Cc: Lars Wirzenius <liw@liw.fi>, 655230@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Mon, 9 Jan 2012 22:41:59 -0600
Hi Al,

On Mon, Jan 9, 2012 at 7:12 PM, Al <abiheiri@gmail.com> wrote:
> OK I guess I am partially incorrect, however if .ssh or authorized_keys is
> wrong permission, ssh-copy-id doesn't fix it..
> I set .ssh folder to 777 and ssh-copy-id did not change it.

That is the sane behavior here.

The utilities that come in the openssh-client package do not set .ssh
to 777, they set it to 600, hence if it is set to 777, then someone
*manually* did that. That person should then manually fix it. It would
be illogical for some other program to "fix" the perms. A manual
correction is the proper place for it. Also, pushkey is doing more
than what it name implies. The name implies that a key would get
pushed, however:

1) a key gets created
2) it gets pushed
3) directory mode is changed

I wouldn't expect, nor want, 3 and possibly 1.


<devil's advocate>

I don't think anyone is going to:

"apt-get install pushkey"

When there is already a tool to copy keys around. I know that push key
will generate a key, but that goes against the grain of the UNIX
philosophy of having tools do one job and do it well.

It seems best to stick with:

ssh-keygen (once in a great while)
ssh-copy-id system (whenever you need to ssh to a new system)

I don't think anyone will advocate for "pushkey", it seems rather unnecessary.

</devil's advocate>


Respectfully,

-mz




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Tue, 10 Jan 2012 18:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joerg Jaspert <joerg@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Tue, 10 Jan 2012 18:45:10 GMT) Full text and rfc822 format available.

Message #58 received at 655230@bugs.debian.org (full text, mbox):

From: Joerg Jaspert <joerg@debian.org>
To: Al <abiheiri@gmail.com>
Cc: Ansgar Burchardt <ansgar@debian.org>, 655230@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Tue, 10 Jan 2012 19:36:48 +0100
On 12720 March 1977, Al wrote:
> I'm sorry you guys feel like I am wasting your time as I had no intention
> of doing that. As your probably aware this is my first time I am submitting
> an ITP so I am new to the whole process.

There is a difference between telling you that something actually exist
elsewhere already and you wasting our time. The latter only comes in when
the replies of people aren't taken in consideration.

Now, with what your script actually does compared to the existing
ssh-copy-id I don't think it should be added as an own package to Debian.
Instead you should go one of two ways:

 - Get it into the openssh-client package as an example, so users can
   easily get at it if they want to.

 - Or better even: As ssh-copy-id is itself a shell script, enhance that
   and submit a patch (probably to upstream), as that is (as you have
   seen) the one thing that most people know about, so getting that
   better ought to be the best thing.

-- 
bye, Joerg
<rra> I don't know that "useful" is the best overall descriptor of the
      things Ganneff picks to put in his signature.  :)
<liw> obviously there is too little useful things said so he has to
	  quote silly things instead
 * Myon sees Ganneff adding yet another liw quote




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Tue, 10 Jan 2012 18:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Al <abiheiri@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Tue, 10 Jan 2012 18:57:05 GMT) Full text and rfc822 format available.

Message #63 received at 655230@bugs.debian.org (full text, mbox):

From: Al <abiheiri@gmail.com>
To: Al <abiheiri@gmail.com>, Ansgar Burchardt <ansgar@debian.org>, 655230@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Tue, 10 Jan 2012 13:54:54 -0500
[Message part 1 (text/plain, inline)]
fair enough ... thank you

On Tue, Jan 10, 2012 at 1:36 PM, Joerg Jaspert <joerg@debian.org> wrote:

> On 12720 March 1977, Al wrote:
> > I'm sorry you guys feel like I am wasting your time as I had no intention
> > of doing that. As your probably aware this is my first time I am
> submitting
> > an ITP so I am new to the whole process.
>
> There is a difference between telling you that something actually exist
> elsewhere already and you wasting our time. The latter only comes in when
> the replies of people aren't taken in consideration.
>
> Now, with what your script actually does compared to the existing
> ssh-copy-id I don't think it should be added as an own package to Debian.
> Instead you should go one of two ways:
>
>  - Get it into the openssh-client package as an example, so users can
>   easily get at it if they want to.
>
>  - Or better even: As ssh-copy-id is itself a shell script, enhance that
>   and submit a patch (probably to upstream), as that is (as you have
>   seen) the one thing that most people know about, so getting that
>   better ought to be the best thing.
>
> --
> bye, Joerg
> <rra> I don't know that "useful" is the best overall descriptor of the
>      things Ganneff picks to put in his signature.  :)
> <liw> obviously there is too little useful things said so he has to
>          quote silly things instead
>  * Myon sees Ganneff adding yet another liw quote
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Tue, 10 Jan 2012 20:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Tue, 10 Jan 2012 20:27:07 GMT) Full text and rfc822 format available.

Message #68 received at 655230@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: Al <abiheiri@gmail.com>, 655230@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#655230: ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
Date: Wed, 11 Jan 2012 04:25:35 +0800
On Wed, Jan 11, 2012 at 2:36 AM, Joerg Jaspert wrote:

> Now, with what your script actually does compared to the existing
> ssh-copy-id I don't think it should be added as an own package to Debian.
> Instead you should go one of two ways:
>
>  - Get it into the openssh-client package as an example, so users can
>   easily get at it if they want to.
>
>  - Or better even: As ssh-copy-id is itself a shell script, enhance that
>   and submit a patch (probably to upstream), as that is (as you have
>   seen) the one thing that most people know about, so getting that
>   better ought to be the best thing.

- Or way better still: encourage your sysadmins to switch to monkeysphere:

http://web.monkeysphere.info/

-- 
bye,
pabs

http://wiki.debian.org/PaulWise




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>:
Bug#655230; Package wnpp. (Mon, 27 May 2013 13:43:58 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Al Biheiri <abiheiri@gmail.com>. (Mon, 27 May 2013 13:43:58 GMT) Full text and rfc822 format available.

Message #73 received at 655230@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 655230@bugs.debian.org
Cc: control@bugs.debian.org
Subject: pushkey: changing back from ITP to RFP
Date: Mon, 27 May 2013 15:24:19 +0200
retitle 655230 RFP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
noowner 655230
tag 655230 - pending
thanks

Hi,

This is an automatic email to change the status of pushkey back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 12 months.

If you are still interested in adopting pushkey, please send a mail to
<control@bugs.debian.org> with:

 retitle 655230 ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.
 owner 655230 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <655230@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'RFP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.' from 'ITP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:57:03 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Al Biheiri <abiheiri@gmail.com>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 13:57:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: pushkey -- pushes ssh keys to remote locations' from 'RFP: pushkey -- ITP: pushkey - Pushes your ssh key to a remote location. It tries to create a .ssh folder remotley then it adds your ssh key to authorized_keys.' Request was from Joao Eriberto Mota Filho <eriberto@eriberto.pro.br> to control@bugs.debian.org. (Mon, 02 Sep 2013 19:42:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:10:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.